Dela via


Entra Id Assignments - Update

Uppdateringar Entra-åtkomsttilldelningar i grupp.

PATCH {endpoint}/access/entra/assignments?api-version=2025-03-02-preview

URI-parametrar

Name I Obligatorisk Typ Description
endpoint
path True

string (url)

Kommunikationsresursen, till exempel https://my-resource.communication.azure.com

api-version
query True

string

Version av API som ska anropas.

Begärandetext

Media Types: "application/merge-patch+json"

Name Typ Description

EntraAssignmentCreateOrUpdateRequest

Svar

Name Typ Description
200 OK

EntraAssignmentsResponse

Framgång

204 No Content

Inget innehåll

Other Status Codes

CommunicationErrorResponse

Fel

Exempel

Update Assignments

Exempelbegäran

PATCH https://my-resource.communication.azure.com/access/entra/assignments?api-version=2025-03-02-preview

{
  "b27b64b9-39d2-44a3-869d-67700b74e805": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  },
  "eaf4bdca-9343-492B-a5e2-9310fbe393b8": null,
  "fd63f3cb-3731-4d15-8e47-9d062aba58c5": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  }
}

Exempelsvar

{
  "value": [
    {
      "objectId": "b27b64b9-39d2-44a3-869d-67700b74e805",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    },
    {
      "objectId": "fd63f3cb-3731-4d15-8e47-9d062aba58c5",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    }
  ]
}

Definitioner

Name Description
CommunicationError

Communication Services-felet.

CommunicationErrorResponse

Communication Services-felet.

EntraAssignment
EntraAssignmentCreateOrUpdateRequest
EntraAssignmentsResponse
EntraPrincipalType

CommunicationError

Communication Services-felet.

Name Typ Description
code

string

Felkoden.

details

CommunicationError[]

Mer information om specifika fel som ledde till det här felet.

innererror

CommunicationError

Det inre felet om det finns något.

message

string

Felmeddelandet.

target

string

Felmålet.

CommunicationErrorResponse

Communication Services-felet.

Name Typ Description
error

CommunicationError

Communication Services-felet.

EntraAssignment

Name Typ Description
clientIds

string[]

objectId

string

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentCreateOrUpdateRequest

Name Typ Description
clientIds

string[]

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentsResponse

Name Typ Description
nextLink

string

value

EntraAssignment[]

EntraPrincipalType

Värde Description
user
group
tenant